parameters:
    # Kernel related params
    webroot_dir: %kernel.root_dir%/../web

    ###
    # ezsettings namespace, default scope
    ###

    # Content/Location view
    ezsettings.default.location_view: {}
    ezsettings.default.content_view: {}
    ezsettings.default.block_view: {}

    # Common settings
    ezpublish.repositories: {}
    ezsettings.default.repository: ~
    ezpublish.session_name.default: "eZSESSID{siteaccess_hash}"
    ezsettings.default.session_name: %ezpublish.session_name.default%    # Using "{siteaccess_hash}" in session name makes it unique per siteaccess
    ezsettings.default.session: { name: %ezpublish.session_name.default% } # Session options that will override options from framework
    ezsettings.default.legacy_mode: false
    ezsettings.default.url_alias_router: true                       # Use UrlAliasRouter by default
    ezsettings.default.index_page: ~                    # The page to show when accessing IndexPage (/)
    ezsettings.default.default_page: ~                  # The default page to show, e.g. after user login this will be used for default redirection
    ezsettings.default.languages: []
    ezsettings.default.translation_siteaccesses: []
    ezsettings.default.related_siteaccesses: []
    ezsettings.default.cache_pool_name: "default"       # The cache pool name to use for a siteaccess / siteaccess-group
    ezsettings.default.var_dir: "var"                   # The root directory where all log files, cache files and other stored files are created
    ezsettings.default.storage_dir: "storage"           # Where to place new files for storage, it's relative to var directory
    ezsettings.default.binary_dir: "original"
    ezsettings.default.anonymous_user_id: 10            # The ID of the user to be used for everyone who is not logged in

    # IO
    ezsettings.default.io.metadata_handler: "default"
    ezsettings.default.io.binarydata_handler: "default"
    ezsettings.default.io.url_prefix: "$var_dir$/$storage_dir$"
    ezsettings.default.io.legacy_url_prefix: "$var_dir$/$storage_dir$"
    ezsettings.default.io.root_dir: "%ezpublish_legacy.root_dir%/$var_dir$/$storage_dir$"

    # Content settings
    ezsettings.default.content.view_cache: true         # Whether to use content view cache or not (Etag/Last-Modified based)
    ezsettings.default.content.ttl_cache: true          # Whether to use TTL Cache for content (i.e. Max-Age response header)
    ezsettings.default.content.default_ttl: 60          # Default TTL cache value for content
    ezsettings.default.content.tree_root.location_id: 2 # Root locationId for routing and link generation. Useful for multisite apps with one repository.
    ezsettings.default.content.tree_root.excluded_uri_prefixes: [] # URI prefixes that are allowed to be outside the content tree

    # FieldType settings
    # Default XSL stylesheets for XmlText rendering to HTML5.
    # Built-in stylesheets are treated as custom for the sake of extensibility.
    ezsettings.default.fieldtypes.ezxml.custom_xsl:
        -
            path: %kernel.root_dir%/../vendor/ezsystems/ezpublish-kernel/eZ/Publish/Core/FieldType/XmlText/Input/Resources/stylesheets/eZXml2Html5_core.xsl
            priority: 0
        -
            path: %kernel.root_dir%/../vendor/ezsystems/ezpublish-kernel/eZ/Publish/Core/FieldType/XmlText/Input/Resources/stylesheets/eZXml2Html5_custom.xsl
            priority: 0

    # FieldType settings
    # Default XSL stylesheets for RichText rendering to HTML5.
    # Built-in stylesheets are treated as custom for the sake of extensibility.
    ezsettings.default.fieldtypes.ezrichtext.output_custom_xsl:
        -
            path: %kernel.root_dir%/../vendor/ezsystems/ezpublish-kernel/eZ/Publish/Core/FieldType/RichText/Resources/stylesheets/docbook/xhtml5/output/core.xsl
            priority: 0

    ezsettings.default.fieldtypes.ezrichtext.edit_custom_xsl:
        -
            path: %kernel.root_dir%/../vendor/ezsystems/ezpublish-kernel/eZ/Publish/Core/FieldType/RichText/Resources/stylesheets/docbook/xhtml5/edit/core.xsl
            priority: 0

    ezsettings.default.fieldtypes.ezrichtext.input_custom_xsl: []

    # RichText field type template tag settings
    # 'default' and 'default_inline' tag identifiers are reserved for fallback
    ezsettings.default.fieldtypes.ezrichtext.tags.default:
        template: EzPublishCoreBundle:FieldType/RichText/tag:default.html.twig
    ezsettings.default.fieldtypes.ezrichtext.tags.default_inline:
        template: EzPublishCoreBundle:FieldType/RichText/tag:default_inline.html.twig

    # RichText field type embed settings
    ezsettings.default.fieldtypes.ezrichtext.embed.content:
        template: EzPublishCoreBundle:FieldType/RichText/embed:content.html.twig
    ezsettings.default.fieldtypes.ezrichtext.embed.content_denied:
        template: EzPublishCoreBundle:FieldType/RichText/embed:content_denied.html.twig
    ezsettings.default.fieldtypes.ezrichtext.embed.content_inline:
        template: EzPublishCoreBundle:FieldType/RichText/embed:content_inline.html.twig
    ezsettings.default.fieldtypes.ezrichtext.embed.content_inline_denied:
        template: EzPublishCoreBundle:FieldType/RichText/embed:content_inline_denied.html.twig
    ezsettings.default.fieldtypes.ezrichtext.embed.location:
        template: EzPublishCoreBundle:FieldType/RichText/embed:location.html.twig
    ezsettings.default.fieldtypes.ezrichtext.embed.location_denied:
        template: EzPublishCoreBundle:FieldType/RichText/embed:location_denied.html.twig
    ezsettings.default.fieldtypes.ezrichtext.embed.location_inline:
        template: EzPublishCoreBundle:FieldType/RichText/embed:location_inline.html.twig
    ezsettings.default.fieldtypes.ezrichtext.embed.location_inline_denied:
        template: EzPublishCoreBundle:FieldType/RichText/embed:location_inline_denied.html.twig

    # Cache settings
    # Server(s) URL(s) that will be used for purging HTTP cache with BAN requests.
    ezsettings.default.http_cache.purge_servers: []

    # Treemenu settings (admin interface)
    ezsettings.default.treemenu.http_cache: true        # Whether to use HttpCache or not for admin tree menu
    ezsettings.default.treemenu.ttl_cache: 86400        # If HttpCache is used, cache time to live in seconds

    # Templates to use while rendering fields
    ezsettings.default.field_templates:
        - {template: EzPublishCoreBundle::content_fields.html.twig, priority: 0}

    # Templates to use while rendering field definition settings
    ezsettings.default.fielddefinition_settings_templates:
        - {template: EzPublishCoreBundle::fielddefinition_settings.html.twig, priority: 0}

    # Security settings
    ezsettings.default.security.login_template: "EzPublishCoreBundle:Security:login.html.twig"
    ezsettings.default.security.base_layout: %ezpublish.content_view.viewbase_layout%

    # Image settings
    ezsettings.default.image.temporary_dir: imagetmp
    ezsettings.default.image.published_images_dir: images
    ezsettings.default.image.versioned_images_dir: images-versioned
    ezsettings.default.image_variations:
        reference:
            reference: ~
            filters:
                geometry/scaledownonly: [600, 600]
        small:
            reference: reference
            filters:
                geometry/scaledownonly: [100, 100]
        tiny:
            reference: reference
            filters:
                geometry/scaledownonly: [30, 30]
        medium:
            reference: reference
            filters:
                geometry/scaledownonly: [200, 200]
        large:
            reference: reference
            filters:
                geometry/scaledownonly: [300, 300]

    # ImageMagick
    # TODO: Deprecated. Move this to ezpublish_legacy.
    ezpublish.image.imagemagick.enabled: false
    ezpublish.image.imagemagick.executable_path:
    ezpublish.image.imagemagick.executable: convert
    ezsettings.default.imagemagick.pre_parameters:
    ezsettings.default.imagemagick.post_parameters:
    ezpublish.image.imagemagick.filters:
        geometry/scale: "-geometry {1}x{2}"
        geometry/scalewidth: "-geometry {1}"
        geometry/scaleheight: "-geometry x{1}"
        geometry/scaledownonly: "-geometry {1}x{2}>"
        geometry/scalewidthdownonly: "-geometry {1}>"
        geometry/scaleheightdownonly: "-geometry x{1}>"
        geometry/scaleexact: "-geometry {1}x{2}!"
        geometry/scalepercent: "-geometry {1}x{2}%"
        geometry/crop: "-crop {1}x{2}+{3}+{4}"
        filter/noise: "-noise {1}"
        filter/swirl: "-swirl {1}"
        colorspace/gray: "-colorspace GRAY"
        colorspace/transparent: "-colorspace Transparent"
        colorspace: "-colorspace {1}"
        border: "-border {1}x{2}"
        border/color: "-bordercolor rgb({1},{2},{3})"
        border/width: "-borderwidth {1}"
        flatten: "-flatten"
        resize: "-resize {1}"
        optimize: "-strip"

    ###
    # default ezpage settings
    ##
    ezpublish.ezpage.enabledLayouts: []
    ezpublish.ezpage.enabledBlocks: []
    ezpublish.ezpage.layouts:
        GlobalZoneLayout:
            name: Global zone layout
            template: globalzonelayout.tpl
        2ZonesLayout1:
            name: 2 zones (layout 1)
            template: 2zoneslayout1.tpl
        2ZonesLayout2:
            name: 2 zones (layout 2)
            template: 2zoneslayout2.tpl
        2ZonesLayout3:
            name: 2 zones (layout 3)
            template: 2zoneslayout3.tpl
        3ZonesLayout1:
            name: 3 zones (layout 1)
            template: 3zoneslayout1.tpl
        3ZonesLayout2:
            name: 3 zones (layout 2)
            template: 3zoneslayout2.tpl
        CallForActionLayout:
            name: Call For Action zone layout
            template: callforactionlayout.tpl

    ezpublish.ezpage.blocks:
        DemoBlock:
            name: Demo Block
        Manual2Items:
            name: 2 items (Manual)
        Manual3Items:
            name: 3 items (Manual)
        Manual4Items:
            name: 4 items (Manual)
        Manual5Items:
            name: 5 items (Manual)
        Dynamic3Items:
            name: 3 items (Dynamic)
        Gallery:
            name: Gallery (Manual)
        Video:
            name: Video (Manual)
        ItemList:
            name: Item list
        MainStory:
            name: Main story (Manual)
        Banner:
            name: Banner
        TagCloud:
            name: Tag cloud
        Poll:
            name: Poll
        FlashRecorder:
            name: Flash Recorder
        FeedReader:
            name: Feed reader
        Keyword:
            name: Keyword
        GMap:
            name: Google Map
        OnlineUsers:
            name: Online Users
        MultimediaCarousel:
            name: Multimedia carousel
        Search:
            name: Search
        Ads:
            name: Advertisement
        LatestContent:
            name: Latest content
        TopRated:
            name: Top Rated
        GMapItems:
            name: Google Map Items

    ###
    # Internal settings
    ###
    ezpublish.siteaccess.groups: {}
    ezpublish.siteaccess.groups_by_siteaccess: {}
    ezpublish.siteaccess.default: ~
    # SiteAccesses relation map. 2 dimensions array.
    # First dimension is indexed by repository identifier.
    # Second dimension is indexed by root location Id.
    ezpublish.siteaccess.relation_map: {}
    # SiteAccesses, indexed by language.
    ezpublish.siteaccesses_by_language: {}
